// 福利管理函数库
import apis from "../apis_moudles/welfare.js";
import req from "../request";

const GETBENEGITTYPE = () => {
  return req.post(apis.benefitType);
};

const GETPLANLIST = (data) => {
  return req.post(apis.planList, data);
};

const EDITPLANDATE = (data) => {
  return req.post(apis.editPlan, data);
};

const GETCOVERAGELIST = (data) => {
  return req.post(apis.coverageList, data);
};

const GETCONDITIONLIST = (data) => {
  return req.post(apis.conditionList, data);
};

const ADDCONDITIONDATA = (data) => {
  return req.post(apis.addCondition, data);
};

const EDITCONDITIONDATA = (data) => {
  return req.post(apis.editCondition, data);
};

const GETBENEFITLIST = (data) => {
  return req.post(apis.benefitList, data);
};

const ADDBENEFITLIST = (data) => {
  return req.post(apis.addBenefit, data);
};

const EDITBENEFITLIST = (data) => {
  return req.post(apis.editBenefit, data);
};

const GETCOVERAGECODE = (data) => {
  return req.post(apis.coverageCode, data);
};

const ADDCOVERAGEDATA = (data) => {
  return req.post(apis.addCoverage, data);
};

const EDITCOVERAGEDATA = (data) => {
  return req.post(apis.editCoverage, data);
};

const GETFREQUENCYCODE = (data) => {
  return req.post(apis.getFrequencyCode, data);
};

const GETLIMITCODE = (data) => {
  return req.post(apis.getLimitCode, data);
};

// 对象数组
export default {
  GETBENEGITTYPE,
  GETPLANLIST,
  EDITPLANDATE,
  GETCOVERAGELIST,
  GETCONDITIONLIST,
  ADDCONDITIONDATA,
  EDITCONDITIONDATA,
  GETBENEFITLIST,
  ADDBENEFITLIST,
  EDITBENEFITLIST,
  GETCOVERAGECODE,
  ADDCOVERAGEDATA,
  EDITCOVERAGEDATA,
  GETFREQUENCYCODE,
  GETLIMITCODE,
};
